- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

# Audio conversion flags
[Audio conversion options]

## Defines
#define | GAVL_AUDIO_FRONT_TO_REAR_COPY (1<<0)
#define | GAVL_AUDIO_FRONT_TO_REAR_MUTE (1<<1)
#define | GAVL_AUDIO_FRONT_TO_REAR_DIFF (1<<2)
#define | GAVL_AUDIO_FRONT_TO_REAR_MASK
#define | GAVL_AUDIO_STEREO_TO_MONO_LEFT (1<<3)
#define | GAVL_AUDIO_STEREO_TO_MONO_RIGHT (1<<4)
#define | GAVL_AUDIO_STEREO_TO_MONO_MIX (1<<5)
#define | GAVL_AUDIO_STEREO_TO_MONO_MASK

## Detailed Description

Flags for passing to gavl_audio_options_set_conversion_flags

## Define Documentation

#define GAVL_AUDIO_FRONT_TO_REAR_COPY (1<<0)

When mixing front to rear, just copy the front channels

#define GAVL_AUDIO_FRONT_TO_REAR_MUTE (1<<1)

When mixing front to rear, mute the rear channels

#define GAVL_AUDIO_FRONT_TO_REAR_DIFF (1<<2)

When mixing front to rear, send the difference between front to rear

#define GAVL_AUDIO_FRONT_TO_REAR_MASK

Value:

    (GAVL_AUDIO_FRONT_TO_REAR_COPY | \
    GAVL_AUDIO_FRONT_TO_REAR_MUTE | \
     GAVL_AUDIO_FRONT_TO_REAR_DIFF)

Mask for front to rear mode

#define GAVL_AUDIO_STEREO_TO_MONO_LEFT (1<<3)

When converting from stereo to mono, choose left channel

#define GAVL_AUDIO_STEREO_TO_MONO_RIGHT (1<<4)

When converting from stereo to mono, choose right channel

#define GAVL_AUDIO_STEREO_TO_MONO_MIX (1<<5)

When converting from stereo to mono, mix left and right

#define GAVL_AUDIO_STEREO_TO_MONO_MASK

Value:

    (GAVL_AUDIO_STEREO_TO_MONO_LEFT | \
    GAVL_AUDIO_STEREO_TO_MONO_RIGHT | \
    GAVL_AUDIO_STEREO_TO_MONO_MIX)

Mask for converting stereo to mono